Subject: Re: [PATCH v6 06/10] fsmonitor: deduplicate settings logic for Unix platforms

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Feb 2026 13:31:18 -0800

"Paul Tarjan via GitGitGadget" <[email-masked]> writes:

> From: Paul Tarjan <[email-masked]>
>
> The fsmonitor settings logic for checking Unix domain socket
> compatibility is nearly identical between macOS and Linux.  Both check
> whether the IPC socket directory resides on a remote filesystem or a
> filesystem that does not support Unix domain sockets (NTFS, FAT32, etc).
>
> Merge the two implementations into a single fsm-settings-unix.c shared
> by both platforms.  The unified version uses the safer xstrdup() +
> dirname() approach from the macOS implementation (avoiding strbuf
> mutation with dirname()) and includes the "vfat" filesystem check.
>
> Update Makefile, meson.build, and CMakeLists.txt to use the new shared
> file for non-Windows platforms.

I guess exactly the same comment as the one for 05/10 applies here
as well?